proc rebuild_all_projects { } {
  set origin_dir [file dirname [file normalize [info script]]]
  set this_script [file tail [file normalize [info script]]]

  set script_prefix {rebuild}

  set scripts [lsort -ascii [glob -directory $origin_dir -tails -types {f} "${script_prefix}-*.tcl"]]
  foreach script $scripts {
    if { $script ne $this_script } {
      source "$origin_dir/$script"
    }
  }
}

rebuild_all_projects