# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "behav_sim_ocp_over_mptl" -parent ${Page_0}
  ipgui::add_param $IPINST -name "break_out_ocp" -parent ${Page_0}
  ipgui::add_param $IPINST -name "enable_bridge_master" -parent ${Page_0}
  ipgui::add_param $IPINST -name "enable_dma" -parent ${Page_0}
  ipgui::add_param $IPINST -name "enable_target_master" -parent ${Page_0}
  ipgui::add_param $IPINST -name "wrapper_reset_signals" -parent ${Page_0}


}

proc update_PARAM_VALUE.behav_sim_ocp_over_mptl { PARAM_VALUE.behav_sim_ocp_over_mptl } {
	# Procedure called to update behav_sim_ocp_over_mptl when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.behav_sim_ocp_over_mptl { PARAM_VALUE.behav_sim_ocp_over_mptl } {
	# Procedure called to validate behav_sim_ocp_over_mptl
	return true
}

proc update_PARAM_VALUE.break_out_ocp { PARAM_VALUE.break_out_ocp } {
	# Procedure called to update break_out_ocp when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.break_out_ocp { PARAM_VALUE.break_out_ocp } {
	# Procedure called to validate break_out_ocp
	return true
}

proc update_PARAM_VALUE.enable_bridge_master { PARAM_VALUE.enable_bridge_master } {
	# Procedure called to update enable_bridge_master when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_bridge_master { PARAM_VALUE.enable_bridge_master } {
	# Procedure called to validate enable_bridge_master
	return true
}

proc update_PARAM_VALUE.enable_dma { PARAM_VALUE.enable_dma } {
	# Procedure called to update enable_dma when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_dma { PARAM_VALUE.enable_dma } {
	# Procedure called to validate enable_dma
	return true
}

proc update_PARAM_VALUE.enable_target_master { PARAM_VALUE.enable_target_master } {
	# Procedure called to update enable_target_master when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_target_master { PARAM_VALUE.enable_target_master } {
	# Procedure called to validate enable_target_master
	return true
}

proc update_PARAM_VALUE.wrapper_reset_signals { PARAM_VALUE.wrapper_reset_signals } {
	# Procedure called to update wrapper_reset_signals when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.wrapper_reset_signals { PARAM_VALUE.wrapper_reset_signals } {
	# Procedure called to validate wrapper_reset_signals
	return true
}


proc update_MODELPARAM_VALUE.enable_bridge_master { MODELPARAM_VALUE.enable_bridge_master PARAM_VALUE.enable_bridge_master } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_bridge_master}] ${MODELPARAM_VALUE.enable_bridge_master}
}

proc update_MODELPARAM_VALUE.enable_target_master { MODELPARAM_VALUE.enable_target_master PARAM_VALUE.enable_target_master } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_target_master}] ${MODELPARAM_VALUE.enable_target_master}
}

proc update_MODELPARAM_VALUE.enable_dma { MODELPARAM_VALUE.enable_dma PARAM_VALUE.enable_dma } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_dma}] ${MODELPARAM_VALUE.enable_dma}
}

proc update_MODELPARAM_VALUE.wrapper_reset_signals { MODELPARAM_VALUE.wrapper_reset_signals PARAM_VALUE.wrapper_reset_signals } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.wrapper_reset_signals}] ${MODELPARAM_VALUE.wrapper_reset_signals}
}

proc update_MODELPARAM_VALUE.break_out_ocp { MODELPARAM_VALUE.break_out_ocp PARAM_VALUE.break_out_ocp } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.break_out_ocp}] ${MODELPARAM_VALUE.break_out_ocp}
}

proc update_MODELPARAM_VALUE.behav_sim_ocp_over_mptl { MODELPARAM_VALUE.behav_sim_ocp_over_mptl PARAM_VALUE.behav_sim_ocp_over_mptl } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.behav_sim_ocp_over_mptl}] ${MODELPARAM_VALUE.behav_sim_ocp_over_mptl}
}

