###############################################################################
# MPTL clock (250 MHz) (MGTREFCLK0_128)
###############################################################################

set_property PACKAGE_PIN T32 [get_ports {mptl_clk_p}]
set_property PACKAGE_PIN T33 [get_ports {mptl_clk_n}]


###############################################################################
# MPTL HSIO outputs (MGT 128)
###############################################################################

set_property PACKAGE_PIN U34 [get_ports {mptl_t2b_p[0]}]
set_property PACKAGE_PIN U35 [get_ports {mptl_t2b_n[0]}]
set_property PACKAGE_PIN T36 [get_ports {mptl_t2b_p[1]}]
set_property PACKAGE_PIN T37 [get_ports {mptl_t2b_n[1]}]
set_property PACKAGE_PIN R34 [get_ports {mptl_t2b_p[2]}]
set_property PACKAGE_PIN R35 [get_ports {mptl_t2b_n[2]}]
set_property PACKAGE_PIN N34 [get_ports {mptl_t2b_p[3]}]
set_property PACKAGE_PIN N35 [get_ports {mptl_t2b_n[3]}]


###############################################################################
# MPTL HSIO inputs (MGT 128)
###############################################################################

set_property PACKAGE_PIN U38 [get_ports {mptl_b2t_p[0]}]
set_property PACKAGE_PIN U39 [get_ports {mptl_b2t_n[0]}]
set_property PACKAGE_PIN R38 [get_ports {mptl_b2t_p[1]}]
set_property PACKAGE_PIN R39 [get_ports {mptl_b2t_n[1]}]
set_property PACKAGE_PIN P36 [get_ports {mptl_b2t_p[2]}]
set_property PACKAGE_PIN P37 [get_ports {mptl_b2t_n[2]}]
set_property PACKAGE_PIN N38 [get_ports {mptl_b2t_p[3]}]
set_property PACKAGE_PIN N39 [get_ports {mptl_b2t_n[3]}]


###############################################################################
# MPTL Sideband Signals
###############################################################################

set_property PACKAGE_PIN AW20     [get_ports {mptl_target_configured_l}]
set_property IOSTANDARD  LVCMOS25 [get_ports {mptl_target_configured_l}]

set_property PACKAGE_PIN AW19     [get_ports {mptl_bridge_gtp_online_l}]
set_property IOSTANDARD  LVCMOS25 [get_ports {mptl_bridge_gtp_online_l}]

set_property PACKAGE_PIN AW15     [get_ports {mptl_target_gtp_online_l}]
set_property IOSTANDARD  LVCMOS33 [get_ports {mptl_target_gtp_online_l}]
