proc make_all_projects { } {
  set origin_dir [file dirname [file normalize [info script]]]
  set this_script [file tail [file normalize [info script]]]

  set script_prefix {mkxpr}

  set scripts [lsort -ascii [glob -directory $origin_dir -tails -types {f} "${script_prefix}-*.tcl"]]
  foreach script $scripts {
    if { $script ne $this_script } {
      set project [source "$origin_dir/$script"]
      current_project $project; close_project
    }
  }
}

make_all_projects
