set VAR_SIM_OCP     [examine /tb_simple/sim_ocp]
set VAR_SER_WIDTH   [examine /tb_simple/MPTL_SER_WIDTH]
set VAR_MODEL       [examine /tb_simple/MODEL_NAME]

if $VAR_SIM_OCP then {
  set VAR_SIM "sim_ocp"
} else {
  set VAR_SIM "sim_mptl"
}

set wave_pat {
/tb_simple/*
/tb_simple/uut/*
}

noview *
view signals
view structure
view wave -title "simple (OCP) (${VAR_MODEL}, MPTLx${VAR_SER_WIDTH}, ${VAR_SIM})"

radix hex

foreach pattern $wave_pat {
  add wave -group $pattern $pattern
}

configure wave -signalnamewidth 1

set NumericStdNoWarnings 1
set StdArithNoWarnings 1
