#ifndef _ADATA_SIMPLE_SIMPLE_OCP_H
#define _ADATA_SIMPLE_SIMPLE_OCP_H

#include <exappmessage.h>

using namespace AlphaData::AppFramework;

enum ExitCode {
  ExitCodeSuccess = 0,
  ExitCodeCannotOpenIndex = 100,
  ExitCodeCannotOpenSerial = 101,
  ExitCodeGetCardInfoFailed = 102,
  ExitCodeUnsupportedModel = 103,
  ExitCodeMapWindowFailed = 107,
  ExitCodeBadBitPath = 109,
  ExitCodeFpgaInfoFailed = 110,
  ExitCodeUnrecognizedFpga = 111,
  ExitCodeConfigureFpgaFailed = 112
};

#ifdef __cplusplus
extern "C" {
#endif

int /* ExitCode */
admxrc3SimpleOcpIndex(
  const TCHAR* pBitPath,
  const TCHAR* pBitFile,
  unsigned int index);

int /* ExitCode */
admxrc3SimpleOcpSN(
  const TCHAR* pBitPath,
  const TCHAR* pBitFile,
  uint32_t serialNumber);

#ifdef __cplusplus
}
#endif

extern CExAppMessageDisplay g_simpleOcpMessageDisplay;

#endif
