# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Basic_Core_Options [ipgui::add_page $IPINST -name "Basic Core Options"]
  ipgui::add_param $IPINST -name "bar2_size" -parent ${Basic_Core_Options} -widget comboBox
  ipgui::add_param $IPINST -name "use_diff_ref_clock" -parent ${Basic_Core_Options}
  ipgui::add_param $IPINST -name "enable_interrupt" -parent ${Basic_Core_Options}
  ipgui::add_param $IPINST -name "behav_sim_axi4_over_pcie" -parent ${Basic_Core_Options}

  #Adding Page
  set DMA_Engine_Options [ipgui::add_page $IPINST -name "DMA Engine Options"]
  ipgui::add_param $IPINST -name "number_of_dma_engines" -parent ${DMA_Engine_Options}
  ipgui::add_param $IPINST -name "dma_engine0_config" -parent ${DMA_Engine_Options} -widget comboBox
  ipgui::add_param $IPINST -name "dma_engine1_config" -parent ${DMA_Engine_Options} -widget comboBox
  ipgui::add_param $IPINST -name "dma_engine2_config" -parent ${DMA_Engine_Options} -widget comboBox
  ipgui::add_param $IPINST -name "dma_engine3_config" -parent ${DMA_Engine_Options} -widget comboBox
  ipgui::add_param $IPINST -name "enable_dma_abort" -parent ${DMA_Engine_Options}

  #Adding Page
  set Advanced_Direct_Master_Options [ipgui::add_page $IPINST -name "Advanced Direct Master Options"]
  ipgui::add_param $IPINST -name "number_of_bar01_dm_ports" -parent ${Advanced_Direct_Master_Options}
  ipgui::add_param $IPINST -name "number_of_pcie_dm_ports" -parent ${Advanced_Direct_Master_Options}
  ipgui::add_param $IPINST -name "pcie_dm_port_id_width" -parent ${Advanced_Direct_Master_Options}
  ipgui::add_param $IPINST -name "use_axi4_pcie_legalizer" -parent ${Advanced_Direct_Master_Options}
  ipgui::add_param $IPINST -name "abmi_mode" -parent ${Advanced_Direct_Master_Options}


}

proc update_PARAM_VALUE.abmi_mode { PARAM_VALUE.abmi_mode } {
	# Procedure called to update abmi_mode when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.abmi_mode { PARAM_VALUE.abmi_mode } {
	# Procedure called to validate abmi_mode
	return true
}

proc update_PARAM_VALUE.bar2_size { PARAM_VALUE.bar2_size } {
	# Procedure called to update bar2_size when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.bar2_size { PARAM_VALUE.bar2_size } {
	# Procedure called to validate bar2_size
	return true
}

proc update_PARAM_VALUE.behav_sim_axi4_over_pcie { PARAM_VALUE.behav_sim_axi4_over_pcie } {
	# Procedure called to update behav_sim_axi4_over_pcie when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.behav_sim_axi4_over_pcie { PARAM_VALUE.behav_sim_axi4_over_pcie } {
	# Procedure called to validate behav_sim_axi4_over_pcie
	return true
}

proc update_PARAM_VALUE.dma_engine0_config { PARAM_VALUE.dma_engine0_config } {
	# Procedure called to update dma_engine0_config when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.dma_engine0_config { PARAM_VALUE.dma_engine0_config } {
	# Procedure called to validate dma_engine0_config
	return true
}

proc update_PARAM_VALUE.dma_engine1_config { PARAM_VALUE.dma_engine1_config } {
	# Procedure called to update dma_engine1_config when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.dma_engine1_config { PARAM_VALUE.dma_engine1_config } {
	# Procedure called to validate dma_engine1_config
	return true
}

proc update_PARAM_VALUE.dma_engine2_config { PARAM_VALUE.dma_engine2_config } {
	# Procedure called to update dma_engine2_config when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.dma_engine2_config { PARAM_VALUE.dma_engine2_config } {
	# Procedure called to validate dma_engine2_config
	return true
}

proc update_PARAM_VALUE.dma_engine3_config { PARAM_VALUE.dma_engine3_config } {
	# Procedure called to update dma_engine3_config when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.dma_engine3_config { PARAM_VALUE.dma_engine3_config } {
	# Procedure called to validate dma_engine3_config
	return true
}

proc update_PARAM_VALUE.enable_dma_abort { PARAM_VALUE.enable_dma_abort } {
	# Procedure called to update enable_dma_abort when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_dma_abort { PARAM_VALUE.enable_dma_abort } {
	# Procedure called to validate enable_dma_abort
	return true
}

proc update_PARAM_VALUE.enable_interrupt { PARAM_VALUE.enable_interrupt } {
	# Procedure called to update enable_interrupt when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.enable_interrupt { PARAM_VALUE.enable_interrupt } {
	# Procedure called to validate enable_interrupt
	return true
}

proc update_PARAM_VALUE.number_of_bar01_dm_ports { PARAM_VALUE.number_of_bar01_dm_ports } {
	# Procedure called to update number_of_bar01_dm_ports when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.number_of_bar01_dm_ports { PARAM_VALUE.number_of_bar01_dm_ports } {
	# Procedure called to validate number_of_bar01_dm_ports
	return true
}

proc update_PARAM_VALUE.number_of_dma_engines { PARAM_VALUE.number_of_dma_engines } {
	# Procedure called to update number_of_dma_engines when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.number_of_dma_engines { PARAM_VALUE.number_of_dma_engines } {
	# Procedure called to validate number_of_dma_engines
	return true
}

proc update_PARAM_VALUE.number_of_pcie_dm_ports { PARAM_VALUE.number_of_pcie_dm_ports } {
	# Procedure called to update number_of_pcie_dm_ports when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.number_of_pcie_dm_ports { PARAM_VALUE.number_of_pcie_dm_ports } {
	# Procedure called to validate number_of_pcie_dm_ports
	return true
}

proc update_PARAM_VALUE.pcie_dm_port_id_width { PARAM_VALUE.pcie_dm_port_id_width } {
	# Procedure called to update pcie_dm_port_id_width when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.pcie_dm_port_id_width { PARAM_VALUE.pcie_dm_port_id_width } {
	# Procedure called to validate pcie_dm_port_id_width
	return true
}

proc update_PARAM_VALUE.use_axi4_pcie_legalizer { PARAM_VALUE.use_axi4_pcie_legalizer } {
	# Procedure called to update use_axi4_pcie_legalizer when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.use_axi4_pcie_legalizer { PARAM_VALUE.use_axi4_pcie_legalizer } {
	# Procedure called to validate use_axi4_pcie_legalizer
	return true
}

proc update_PARAM_VALUE.use_diff_ref_clock { PARAM_VALUE.use_diff_ref_clock } {
	# Procedure called to update use_diff_ref_clock when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.use_diff_ref_clock { PARAM_VALUE.use_diff_ref_clock } {
	# Procedure called to validate use_diff_ref_clock
	return true
}


proc update_MODELPARAM_VALUE.number_of_dma_engines { MODELPARAM_VALUE.number_of_dma_engines PARAM_VALUE.number_of_dma_engines } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.number_of_dma_engines}] ${MODELPARAM_VALUE.number_of_dma_engines}
}

proc update_MODELPARAM_VALUE.number_of_pcie_dm_ports { MODELPARAM_VALUE.number_of_pcie_dm_ports PARAM_VALUE.number_of_pcie_dm_ports } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.number_of_pcie_dm_ports}] ${MODELPARAM_VALUE.number_of_pcie_dm_ports}
}

proc update_MODELPARAM_VALUE.number_of_bar01_dm_ports { MODELPARAM_VALUE.number_of_bar01_dm_ports PARAM_VALUE.number_of_bar01_dm_ports } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.number_of_bar01_dm_ports}] ${MODELPARAM_VALUE.number_of_bar01_dm_ports}
}

proc update_MODELPARAM_VALUE.dma_engine0_config { MODELPARAM_VALUE.dma_engine0_config PARAM_VALUE.dma_engine0_config } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.dma_engine0_config}] ${MODELPARAM_VALUE.dma_engine0_config}
}

proc update_MODELPARAM_VALUE.dma_engine1_config { MODELPARAM_VALUE.dma_engine1_config PARAM_VALUE.dma_engine1_config } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.dma_engine1_config}] ${MODELPARAM_VALUE.dma_engine1_config}
}

proc update_MODELPARAM_VALUE.dma_engine2_config { MODELPARAM_VALUE.dma_engine2_config PARAM_VALUE.dma_engine2_config } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.dma_engine2_config}] ${MODELPARAM_VALUE.dma_engine2_config}
}

proc update_MODELPARAM_VALUE.dma_engine3_config { MODELPARAM_VALUE.dma_engine3_config PARAM_VALUE.dma_engine3_config } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.dma_engine3_config}] ${MODELPARAM_VALUE.dma_engine3_config}
}

proc update_MODELPARAM_VALUE.use_axi4_pcie_legalizer { MODELPARAM_VALUE.use_axi4_pcie_legalizer PARAM_VALUE.use_axi4_pcie_legalizer } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.use_axi4_pcie_legalizer}] ${MODELPARAM_VALUE.use_axi4_pcie_legalizer}
}

proc update_MODELPARAM_VALUE.bar2_size { MODELPARAM_VALUE.bar2_size PARAM_VALUE.bar2_size } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.bar2_size}] ${MODELPARAM_VALUE.bar2_size}
}

proc update_MODELPARAM_VALUE.enable_dma_abort { MODELPARAM_VALUE.enable_dma_abort PARAM_VALUE.enable_dma_abort } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_dma_abort}] ${MODELPARAM_VALUE.enable_dma_abort}
}

proc update_MODELPARAM_VALUE.enable_interrupt { MODELPARAM_VALUE.enable_interrupt PARAM_VALUE.enable_interrupt } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.enable_interrupt}] ${MODELPARAM_VALUE.enable_interrupt}
}

proc update_MODELPARAM_VALUE.use_diff_ref_clock { MODELPARAM_VALUE.use_diff_ref_clock PARAM_VALUE.use_diff_ref_clock } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.use_diff_ref_clock}] ${MODELPARAM_VALUE.use_diff_ref_clock}
}

proc update_MODELPARAM_VALUE.pcie_dm_port_id_width { MODELPARAM_VALUE.pcie_dm_port_id_width PARAM_VALUE.pcie_dm_port_id_width } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.pcie_dm_port_id_width}] ${MODELPARAM_VALUE.pcie_dm_port_id_width}
}

proc update_MODELPARAM_VALUE.behav_sim_axi4_over_pcie { MODELPARAM_VALUE.behav_sim_axi4_over_pcie PARAM_VALUE.behav_sim_axi4_over_pcie } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.behav_sim_axi4_over_pcie}] ${MODELPARAM_VALUE.behav_sim_axi4_over_pcie}
}

proc update_MODELPARAM_VALUE.abmi_mode { MODELPARAM_VALUE.abmi_mode PARAM_VALUE.abmi_mode } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.abmi_mode}] ${MODELPARAM_VALUE.abmi_mode}
}

